Create baremetal servers
curl --request POST \
--url https://console.gmicloud.ai/api/v1/baremetals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 2,
"idc": "<string>",
"imageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"product": "<string>",
"enableZabbixAgent": true,
"internalIp": "<string>",
"sshKey": "<string>",
"sshKeyIdList": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://console.gmicloud.ai/api/v1/baremetals"
payload = {
"count": 2,
"idc": "<string>",
"imageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"product": "<string>",
"enableZabbixAgent": True,
"internalIp": "<string>",
"sshKey": "<string>",
"sshKeyIdList": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 2,
idc: '<string>',
imageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
product: '<string>',
enableZabbixAgent: true,
internalIp: '<string>',
sshKey: '<string>',
sshKeyIdList: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://console.gmicloud.ai/api/v1/baremetals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]baremetals
Create baremetal servers
POST
/
v1
/
baremetals
Create baremetal servers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
x >= 1Maximum string length:
50Pattern:
^[a-zA-Z0-9._-]+$The ID of the image to use for creating the baremetal instance
Maximum string length:
255Pattern:
^([A-Za-z0-9][A-Za-z0-9_\-. ]*)?[A-Za-z0-9]$Maximum string length:
256Pattern:
^[a-zA-Z0-9._-]+$Whether to enable Zabbix agent on the baremetal node
Manually allocate internal IP address(IPv4 only). If not provided, internal IP will be allocated automatically. It only supports single baremetal creation.
Required string length:
7 - 15Minimum string length:
1The list of SSH key IDs to use for creating the baremetal instance
Response
successful
⌘I